Overlord: Fellowship of Evil Compatible Graphics Cards

Graphics Cards (GPU) that meet:
Overlord: Fellowship of Evil minimum system requirements
Nvidia - Desktop GPU